Delete extra udev rule 28/928/2
authorbela.szanics <bela.szanics@nokia.com>
Fri, 31 May 2019 14:07:35 +0000 (17:07 +0300)
committerbela_szanics <bela.szanics@nokia.com>
Tue, 4 Jun 2019 17:23:19 +0000 (20:23 +0300)
Change-Id: I58f2197b80edc393cd7e01bf4bdd895153feff2e
Signed-off-by: bela_szanics <bela.szanics@nokia.com>
work/dib-ipa-element/virtmedia-netconf/finalise.d/24-unlink-biosdevname-rules [new file with mode: 0755]

diff --git a/work/dib-ipa-element/virtmedia-netconf/finalise.d/24-unlink-biosdevname-rules b/work/dib-ipa-element/virtmedia-netconf/finalise.d/24-unlink-biosdevname-rules
new file mode 100755 (executable)
index 0000000..bf9172c
--- /dev/null
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Copyright 2019 Nokia
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+
+if [ "${DIB_DEBUG_TRACE:-0}" -gt 0 ]; then
+    set -x
+fi
+set -eu
+set -o pipefail
+
+if [ -e /usr/lib/udev/rules.d/71-biosdevname.rules ]; then
+    unlink /usr/lib/udev/rules.d/71-biosdevname.rules
+fi
+